# Constant Field Values

## Contents

- org.gradle.*

## org.gradle.*

- org.gradle.StartParameter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GRADLE_USER_HOME_PROPERTY_KEY`
  `"gradle.user.home"`

- org.gradle.api.Project
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_BUILD_DIR_NAME`
  `"build"`
  `public static final String`
  `DEFAULT_BUILD_FILE`
  `"build.gradle"`
  `public static final String`
  `DEFAULT_STATUS`
  `"release"`
  `public static final String`
  `DEFAULT_VERSION`
  `"unspecified"`
  `public static final String`
  `GRADLE_PROPERTIES`
  `"gradle.properties"`
  `public static final String`
  `PATH_SEPARATOR`
  `":"`
  `public static final String`
  `SYSTEM_PROP_PREFIX`
  `"systemProp"`
- org.gradle.api.Task
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TASK_ACTION`
  `"action"`
  `public static final String`
  `TASK_CONSTRUCTOR_ARGS`
  `"constructorArgs"`
  `public static final String`
  `TASK_DEPENDS_ON`
  `"dependsOn"`
  `public static final String`
  `TASK_DESCRIPTION`
  `"description"`
  `public static final String`
  `TASK_GROUP`
  `"group"`
  `public static final String`
  `TASK_NAME`
  `"name"`
  `public static final String`
  `TASK_OVERWRITE`
  `"overwrite"`
  `public static final String`
  `TASK_TYPE`
  `"type"`

- org.gradle.api.artifacts.ArtifactRepositoryContainer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_MAVEN_CENTRAL_REPO_NAME`
  `"MavenRepo"`
  `public static final String`
  `DEFAULT_MAVEN_LOCAL_REPO_NAME`
  `"MavenLocal"`
  `public static final String`
  `GOOGLE_URL`
  `"https://dl.google.com/dl/android/maven2/"`
  `public static final String`
  `MAVEN_CENTRAL_URL`
  `"https://repo.maven.apache.org/maven2/"`
- org.gradle.api.artifacts.Dependency
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARCHIVES_CONFIGURATION`
  `"archives"`
  `public static final String`
  `CLASSIFIER`
  `"m:classifier"`
  `public static final String`
  `DEFAULT_CONFIGURATION`
  `"default"`
- org.gradle.api.artifacts.DependencyArtifact
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TYPE`
  `"jar"`
- org.gradle.api.artifacts.ExcludeRule
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GROUP_KEY`
  `"group"`
  `public static final String`
  `MODULE_KEY`
  `"module"`

- org.gradle.api.artifacts.repositories.IvyArtifactRepository
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GRADLE_ARTIFACT_PATTERN`
  `"[organisation]/[module]/[revision]/[artifact]-[revision](-[classifier])(.[ext])"`
  `public static final String`
  `GRADLE_IVY_PATTERN`
  `"[organisation]/[module]/[revision]/ivy-[revision].xml"`
  `public static final String`
  `IVY_ARTIFACT_PATTERN`
  `"[organisation]/[module]/[revision]/[type]s/[artifact](.[ext])"`
  `public static final String`
  `MAVEN_ARTIFACT_PATTERN`
  `"[organisation]/[module]/[revision]/[artifact]-[revision](-[classifier])(.[ext])"`
  `public static final String`
  `MAVEN_IVY_PATTERN`
  `"[organisation]/[module]/[revision]/ivy-[revision].xml"`

- org.gradle.api.artifacts.type.ArtifactTypeDefinition
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BINARY_DATA_TYPE`
  `"binary"`
  `public static final String`
  `DIRECTORY_TYPE`
  `"directory"`
  `public static final String`
  `JAR_TYPE`
  `"jar"`
  `public static final String`
  `JVM_CLASS_DIRECTORY`
  `"java-classes-directory"`
  `public static final String`
  `JVM_RESOURCES_DIRECTORY`
  `"java-resources-directory"`
  `public static final String`
  `ZIP_TYPE`
  `"zip"`

- org.gradle.api.attributes.Bundling
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `EMBEDDED`
  `"embedded"`
  `public static final String`
  `EXTERNAL`
  `"external"`
  `public static final String`
  `SHADOWED`
  `"shadowed"`
- org.gradle.api.attributes.Category
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DOCUMENTATION`
  `"documentation"`
  `public static final String`
  `ENFORCED_PLATFORM`
  `"enforced-platform"`
  `public static final String`
  `LIBRARY`
  `"library"`
  `public static final String`
  `REGULAR_PLATFORM`
  `"platform"`
  `public static final String`
  `VERIFICATION`
  `"verification"`
- org.gradle.api.attributes.DocsType
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DOXYGEN`
  `"doxygen"`
  `public static final String`
  `JAVADOC`
  `"javadoc"`
  `public static final String`
  `SAMPLES`
  `"samples"`
  `public static final String`
  `SOURCES`
  `"sources"`
  `public static final String`
  `USER_MANUAL`
  `"user-manual"`
- org.gradle.api.attributes.LibraryElements
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLASSES`
  `"classes"`
  `public static final String`
  `CLASSES_AND_RESOURCES`
  `"classes+resources"`
  `public static final String`
  `DYNAMIC_LIB`
  `"dynamic-lib"`
  `public static final String`
  `HEADERS_CPLUSPLUS`
  `"headers-cplusplus"`
  `public static final String`
  `JAR`
  `"jar"`
  `public static final String`
  `LINK_ARCHIVE`
  `"link-archive"`
  `public static final String`
  `OBJECTS`
  `"objects"`
  `public static final String`
  `RESOURCES`
  `"resources"`
- org.gradle.api.attributes.Usage
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `C_PLUS_PLUS_API`
  `"cplusplus-api"`
  `public static final String`
  `JAVA_API`
  `"java-api"`
  `public static final String`
  `JAVA_RUNTIME`
  `"java-runtime"`
  `public static final String`
  `NATIVE_LINK`
  `"native-link"`
  `public static final String`
  `NATIVE_RUNTIME`
  `"native-runtime"`
  `public static final String`
  `SWIFT_API`
  `"swift-api"`
  `public static final String`
  `VERSION_CATALOG`
  `"version-catalog"`
- org.gradle.api.attributes.VerificationType
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JACOCO_RESULTS`
  `"jacoco-coverage"`
  `public static final String`
  `MAIN_SOURCES`
  `"main-sources"`
  `public static final String`
  `TEST_RESULTS`
  `"test-results"`

- org.gradle.api.attributes.java.TargetJvmEnvironment
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANDROID`
  `"android"`
  `public static final String`
  `STANDARD_JVM`
  `"standard-jvm"`

- org.gradle.api.distribution.plugins.DistributionPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAIN_DISTRIBUTION_NAME`
  `"main"`
  `public static final String`
  `TASK_INSTALL_NAME`
  `"installDist"`

- org.gradle.api.initialization.Settings
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_SETTINGS_FILE`
  `"settings.gradle"`

- org.gradle.api.initialization.dsl.ScriptHandler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLASSPATH_CONFIGURATION`
  `"classpath"`

- org.gradle.api.plugins.ApplicationPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `APPLICATION_GROUP`
  `"application"`
  `public static final String`
  `APPLICATION_PLUGIN_NAME`
  `"application"`
  `public static final String`
  `TASK_DIST_TAR_NAME`
  `"distTar"`
  `public static final String`
  `TASK_DIST_ZIP_NAME`
  `"distZip"`
  `public static final String`
  `TASK_RUN_NAME`
  `"run"`
  `public static final String`
  `TASK_START_SCRIPTS_NAME`
  `"startScripts"`
- org.gradle.api.plugins.BasePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ASSEMBLE_TASK_NAME`
  `"assemble"`
  `public static final String`
  `BUILD_GROUP`
  `"build"`
  `public static final String`
  `CLEAN_TASK_NAME`
  `"clean"`
- org.gradle.api.plugins.ExtraPropertiesExtension
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `EXTENSION_NAME`
  `"ext"`
- org.gradle.api.plugins.GroovyBasePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GROOVY_RUNTIME_EXTENSION_NAME`
  `"groovyRuntime"`
- org.gradle.api.plugins.GroovyPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GROOVYDOC_TASK_NAME`
  `"groovydoc"`
- org.gradle.api.plugins.HelpTasksPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARTIFACT_TRANSFORMS_TASK`
  `"artifactTransforms"`
  `public static final String`
  `DEPENDENCIES_TASK`
  `"dependencies"`
  `public static final String`
  `DEPENDENCY_INSIGHT_TASK`
  `"dependencyInsight"`
  `public static final String`
  `HELP_GROUP`
  `"help"`
  `public static final String`
  `MODEL_TASK`
  `"model"`
  `public static final String`
  `OUTGOING_VARIANTS_TASK`
  `"outgoingVariants"`
  `public static final String`
  `PROPERTIES_TASK`
  `"properties"`
  `public static final String`
  `RESOLVABLE_CONFIGURATIONS_TASK`
  `"resolvableConfigurations"`
- org.gradle.api.plugins.JavaBasePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BUILD_DEPENDENTS_TASK_NAME`
  `"buildDependents"`
  `public static final String`
  `BUILD_NEEDED_TASK_NAME`
  `"buildNeeded"`
  `public static final String`
  `BUILD_TASK_NAME`
  `"build"`
  `public static final String`
  `CHECK_TASK_NAME`
  `"check"`
  `public static final String`
  `COMPILE_CLASSPATH_PACKAGING_SYSTEM_PROPERTY`
  `"org.gradle.java.compile-classpath-packaging"`
  `public static final String`
  `DOCUMENTATION_GROUP`
  `"documentation"`
  `public static final String`
  `VERIFICATION_GROUP`
  `"verification"`
- org.gradle.api.plugins.JavaPlatformPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `API_CONFIGURATION_NAME`
  `"api"`
  `public static final String`
  `API_ELEMENTS_CONFIGURATION_NAME`
  `"apiElements"`
  `public static final String`
  `CLASSPATH_CONFIGURATION_NAME`
  `"classpath"`
  `public static final String`
  `ENFORCED_API_ELEMENTS_CONFIGURATION_NAME`
  `"enforcedApiElements"`
  `public static final String`
  `ENFORCED_RUNTIME_ELEMENTS_CONFIGURATION_NAME`
  `"enforcedRuntimeElements"`
  `public static final String`
  `RUNTIME_CONFIGURATION_NAME`
  `"runtime"`
  `public static final String`
  `RUNTIME_ELEMENTS_CONFIGURATION_NAME`
  `"runtimeElements"`
- org.gradle.api.plugins.JavaPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANNOTATION_PROCESSOR_CONFIGURATION_NAME`
  `"annotationProcessor"`
  `public static final String`
  `API_CONFIGURATION_NAME`
  `"api"`
  `public static final String`
  `API_ELEMENTS_CONFIGURATION_NAME`
  `"apiElements"`
  `public static final String`
  `CLASSES_TASK_NAME`
  `"classes"`
  `public static final String`
  `COMPILE_CLASSPATH_CONFIGURATION_NAME`
  `"compileClasspath"`
  `public static final String`
  `COMPILE_JAVA_TASK_NAME`
  `"compileJava"`
  `public static final String`
  `COMPILE_ONLY_API_CONFIGURATION_NAME`
  `"compileOnlyApi"`
  `public static final String`
  `COMPILE_ONLY_CONFIGURATION_NAME`
  `"compileOnly"`
  `public static final String`
  `COMPILE_TEST_JAVA_TASK_NAME`
  `"compileTestJava"`
  `public static final String`
  `IMPLEMENTATION_CONFIGURATION_NAME`
  `"implementation"`
  `public static final String`
  `JAR_TASK_NAME`
  `"jar"`
  `public static final String`
  `JAVADOC_ELEMENTS_CONFIGURATION_NAME`
  `"javadocElements"`
  `public static final String`
  `JAVADOC_TASK_NAME`
  `"javadoc"`
  `public static final String`
  `PROCESS_RESOURCES_TASK_NAME`
  `"processResources"`
  `public static final String`
  `PROCESS_TEST_RESOURCES_TASK_NAME`
  `"processTestResources"`
  `public static final String`
  `RUNTIME_CLASSPATH_CONFIGURATION_NAME`
  `"runtimeClasspath"`
  `public static final String`
  `RUNTIME_ELEMENTS_CONFIGURATION_NAME`
  `"runtimeElements"`
  `public static final String`
  `RUNTIME_ONLY_CONFIGURATION_NAME`
  `"runtimeOnly"`
  `public static final String`
  `SOURCES_ELEMENTS_CONFIGURATION_NAME`
  `"sourcesElements"`
  `public static final String`
  `TEST_ANNOTATION_PROCESSOR_CONFIGURATION_NAME`
  `"testAnnotationProcessor"`
  `public static final String`
  `TEST_CLASSES_TASK_NAME`
  `"testClasses"`
  `public static final String`
  `TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME`
  `"testCompileClasspath"`
  `public static final String`
  `TEST_COMPILE_ONLY_CONFIGURATION_NAME`
  `"testCompileOnly"`
  `public static final String`
  `TEST_IMPLEMENTATION_CONFIGURATION_NAME`
  `"testImplementation"`
  `public static final String`
  `TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME`
  `"testRuntimeClasspath"`
  `public static final String`
  `TEST_RUNTIME_ONLY_CONFIGURATION_NAME`
  `"testRuntimeOnly"`
  `public static final String`
  `TEST_TASK_NAME`
  `"test"`
- org.gradle.api.plugins.JvmTestSuitePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TEST_SUITE_NAME`
  `"test"`
- org.gradle.api.plugins.ProjectReportsPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEPENDENCY_REPORT`
  `"dependencyReport"`
  `public static final String`
  `HTML_DEPENDENCY_REPORT`
  `"htmlDependencyReport"`
  `public static final String`
  `PROJECT_REPORT`
  `"projectReport"`
  `public static final String`
  `PROPERTY_REPORT`
  `"propertyReport"`
  `public static final String`
  `TASK_REPORT`
  `"taskReport"`
- org.gradle.api.plugins.TestReportAggregationPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TEST_REPORT_AGGREGATION_CONFIGURATION_NAME`
  `"testReportAggregation"`
- org.gradle.api.plugins.WarPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROVIDED_COMPILE_CONFIGURATION_NAME`
  `"providedCompile"`
  `public static final String`
  `PROVIDED_RUNTIME_CONFIGURATION_NAME`
  `"providedRuntime"`
  `public static final String`
  `WAR_TASK_NAME`
  `"war"`

- org.gradle.api.plugins.antlr.AntlrPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANTLR_CONFIGURATION_NAME`
  `"antlr"`
- org.gradle.api.plugins.antlr.AntlrSourceDirectorySet
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"antlr"`

- org.gradle.api.plugins.catalog.VersionCatalogPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GENERATE_CATALOG_FILE_TASKNAME`
  `"generateCatalogAsToml"`
  `public static final String`
  `GRADLE_PLATFORM_DEPENDENCIES`
  `"versionCatalog"`
  `public static final String`
  `VERSION_CATALOG_ELEMENTS`
  `"versionCatalogElements"`

- org.gradle.api.plugins.quality.CheckstylePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CHECKSTYLE_VERSION`
  `"10.24.0"`
- org.gradle.api.plugins.quality.CodeNarcPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CODENARC_VERSION`
  `"3.6.0-groovy-4.0"`
- org.gradle.api.plugins.quality.PmdPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_PMD_VERSION`
  `"7.13.0"`

- org.gradle.api.plugins.scala.ScalaBasePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_ZINC_VERSION`
  `"1.10.4"`
  `public static final String`
  `SCALA_COMPILER_PLUGINS_CONFIGURATION_NAME`
  `"scalaCompilerPlugins"`
  `public static final String`
  `SCALA_RUNTIME_EXTENSION_NAME`
  `"scalaRuntime"`
  `public static final String`
  `ZINC_CONFIGURATION_NAME`
  `"zinc"`
- org.gradle.api.plugins.scala.ScalaPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SCALA_DOC_TASK_NAME`
  `"scaladoc"`

- org.gradle.api.publish.PublishingExtension
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"publishing"`

- org.gradle.api.publish.maven.plugins.MavenPublishPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PUBLISH_LOCAL_LIFECYCLE_TASK_NAME`
  `"publishToMavenLocal"`

- org.gradle.api.publish.plugins.PublishingPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PUBLISH_LIFECYCLE_TASK_NAME`
  `"publish"`
  `public static final String`
  `PUBLISH_TASK_GROUP`
  `"publishing"`

- org.gradle.api.reporting.ReportingExtension
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_REPORTS_DIR_NAME`
  `"reports"`
  `public static final String`
  `NAME`
  `"reporting"`

- org.gradle.api.reporting.plugins.BuildDashboardPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BUILD_DASHBOARD_TASK_NAME`
  `"buildDashboard"`

- org.gradle.api.tasks.SourceSet
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAIN_SOURCE_SET_NAME`
  `"main"`
  `public static final String`
  `TEST_SOURCE_SET_NAME`
  `"test"`

- org.gradle.api.tasks.bundling.War
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `WAR_EXTENSION`
  `"war"`
- org.gradle.api.tasks.bundling.Zip
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ZIP_EXTENSION`
  `"zip"`

- org.gradle.api.tasks.diagnostics.BuildEnvironmentReportTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TASK_NAME`
  `"buildEnvironment"`

- org.gradle.api.tasks.testing.testng.TestNGOptions
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CONFIG_FAILURE_POLICY`
  `"skip"`

- org.gradle.api.tasks.wrapper.Wrapper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_DISTRIBUTION_PARENT_NAME`
  `"wrapper/dists"`

- org.gradle.jvm.tasks.Jar
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_EXTENSION`
  `"jar"`

- org.gradle.language.base.plugins.LifecycleBasePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ASSEMBLE_TASK_NAME`
  `"assemble"`
  `public static final String`
  `BUILD_GROUP`
  `"build"`
  `public static final String`
  `BUILD_TASK_NAME`
  `"build"`
  `public static final String`
  `CHECK_TASK_NAME`
  `"check"`
  `public static final String`
  `CLEAN_TASK_NAME`
  `"clean"`
  `public static final String`
  `VERIFICATION_GROUP`
  `"verification"`

- org.gradle.nativeplatform.MachineArchitecture
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARM64`
  `"aarch64"`
  `public static final String`
  `X86`
  `"x86"`
  `public static final String`
  `X86_64`
  `"x86-64"`
- org.gradle.nativeplatform.OperatingSystemFamily
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LINUX`
  `"linux"`
  `public static final String`
  `MACOS`
  `"macos"`
  `public static final String`
  `WINDOWS`
  `"windows"`

- org.gradle.plugin.devel.tasks.PluginUnderTestMetadata
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPLEMENTATION_CLASSPATH_PROP_KEY`
  `"implementation-classpath"`
  `public static final String`
  `METADATA_FILE_NAME`
  `"plugin-under-test-metadata.properties"`

- org.gradle.plugins.ear.Ear
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `EAR_EXTENSION`
  `"ear"`
- org.gradle.plugins.ear.EarPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEPLOY_CONFIGURATION_NAME`
  `"deploy"`
  `public static final String`
  `EAR_TASK_NAME`
  `"ear"`
  `public static final String`
  `EARLIB_CONFIGURATION_NAME`
  `"earlib"`

- org.gradle.plugins.ide.eclipse.EclipsePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ECLIPSE_CP_TASK_NAME`
  `"eclipseClasspath"`
  `public static final String`
  `ECLIPSE_JDT_TASK_NAME`
  `"eclipseJdt"`
  `public static final String`
  `ECLIPSE_PROJECT_TASK_NAME`
  `"eclipseProject"`
  `public static final String`
  `ECLIPSE_TASK_NAME`
  `"eclipse"`
- org.gradle.plugins.ide.eclipse.EclipseWtpPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ECLIPSE_WTP_COMPONENT_TASK_NAME`
  `"eclipseWtpComponent"`
  `public static final String`
  `ECLIPSE_WTP_FACET_TASK_NAME`
  `"eclipseWtpFacet"`
  `public static final String`
  `WEB_LIBS_CONTAINER`
  `"org.eclipse.jst.j2ee.internal.web.container"`

- org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPONENT_DEPENDENCY_ATTRIBUTE`
  `"org.eclipse.jst.component.dependency"`
  `public static final String`
  `COMPONENT_NON_DEPENDENCY_ATTRIBUTE`
  `"org.eclipse.jst.component.nondependency"`
- org.gradle.plugins.ide.eclipse.model.Project
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROJECT_FILE_NAME`
  `".project"`

- org.gradle.plugins.ide.idea.model.Module
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `INHERITED`
  `"inherited"`

- org.gradle.plugins.signing.SigningExtension
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CONFIGURATION_NAME`
  `"signatures"`

- org.gradle.testing.base.plugins.TestingBasePlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TEST_RESULTS_DIR_NAME`
  `"test-results"`
  `public static final String`
  `TESTS_DIR_NAME`
  `"tests"`

- org.gradle.testing.jacoco.plugins.JacocoPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AGENT_CONFIGURATION_NAME`
  `"jacocoAgent"`
  `public static final String`
  `ANT_CONFIGURATION_NAME`
  `"jacocoAnt"`
  `public static final String`
  `DEFAULT_JACOCO_VERSION`
  `"0.8.13"`
  `public static final String`
  `PLUGIN_EXTENSION_NAME`
  `"jacoco"`
- org.gradle.testing.jacoco.plugins.JacocoPluginExtension
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TASK_EXTENSION_NAME`
  `"jacoco"`
- org.gradle.testing.jacoco.plugins.JacocoReportAggregationPlugin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JACOCO_AGGREGATION_CONFIGURATION_NAME`
  `"jacocoAggregation"`

- org.gradle.tooling.model.kotlin.dsl.KotlinDslModelsParameters
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION`
  `"-Dorg.gradle.kotlin.dsl.provider.mode=classpath"`
  `public static final String`
  `CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE`
  `"classpath"`
  `public static final String`
  `CORRELATION_ID_GRADLE_PROPERTY_NAME`
  `"org.gradle.kotlin.dsl.provider.cid"`
  `public static final String`
  `PREPARATION_TASK_NAME`
  `"prepareKotlinBuildScriptModel"`
  `public static final String`
  `PROVIDER_MODE_SYSTEM_PROPERTY_NAME`
  `"org.gradle.kotlin.dsl.provider.mode"`
  `public static final String`
  `STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION`
  `"-Dorg.gradle.kotlin.dsl.provider.mode=strict-classpath"`
  `public static final String`
  `STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE`
  `"strict-classpath"`
- org.gradle.tooling.model.kotlin.dsl.KotlinDslScriptsModel
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SCRIPTS_GRADLE_PROPERTY_NAME`
  `"org.gradle.tooling.model.kotlin.dsl.scripts"`

- org.gradle.util.Path
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SEPARATOR`
  `":"`